# stl_multimap.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_multimap.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _MULTIMAP_H

## Functions

- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator!= (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator< (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator<= (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator== (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator> (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> bool operator>= (const multimap< _Key, _Tp, _Compare, _Alloc > &__x, const multimap< _Key, _Tp, _Compare, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Compare, typename _Alloc> void swap (multimap< _Key, _Tp, _Compare, _Alloc > &__x, multimap< _Key, _Tp, _Compare, _Alloc > &__y)

## Function Documentation

bool std::operator!= | ( | const multimap< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const multimap< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Based on operator==. Definition at line 644 of file stl_multimap.h.

bool operator< | ( | const multimap< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const multimap< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

Multimap ordering relation.

Parameters:

  | x | A multimap.
  | y | A multimap of the same type as x.

Returns:
  True iff x is lexicographically less than y.

This is a total ordering relation. It is linear in the size of the multimaps. The elements must be comparable with `<`.

See std::lexicographical_compare() for how the determination is made.

Definition at line 637 of file stl_multimap.h.

bool std::operator<= | ( | const multimap< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const multimap< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 658 of file stl_multimap.h.

bool operator== | ( | const multimap< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const multimap< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

Multimap equality comparison.

Parameters:

  | x | A multimap.
  | y | A multimap of the same type as x.

Returns:
  True iff the size and elements of the maps are equal.

This is an equivalence relation. It is linear in the size of the multimaps. Multimaps are considered equivalent if their sizes are equal, and if corresponding elements compare equal.

Definition at line 620 of file stl_multimap.h.

References multimap::_M_t.

bool std::operator> | ( | const multimap< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const multimap< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 651 of file stl_multimap.h.

bool std::operator>= | ( | const multimap< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | const multimap< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 665 of file stl_multimap.h.

void std::swap | ( | multimap< _Key, _Tp, _Compare, _Alloc > & | __x,
|  | multimap< _Key, _Tp, _Compare, _Alloc > & | __y
| ) | `[inline]`

| See std::multimap::swap(). Definition at line 672 of file stl_multimap.h. References multimap::swap().